org.apache.fop.fo.extensions

## Class ExtensionElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.fo.extensions.ExtensionElementMapping

    public class ExtensionElementMapping
    extends ElementMapping

Element mapping for FOP's proprietary extension to XSL-FO.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

`ElementMapping.Maker`

### Field Summary

Fields
`static String` `STANDARD_PREFIX` The standard XML prefix for elements and attributes in this namespace.
`static String` `URI` The FOP extension namespace URI

### Fields inherited from class org.apache.fop.fo.ElementMapping

`DEFAULT, foObjs, namespaceURI`

### Constructor Summary

Constructors
Constructor and Description
`ExtensionElementMapping()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getStandardPrefix()`
`protected void` `initialize()` Initialize the data structures.
`boolean` `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

### Methods inherited from class org.apache.fop.fo.ElementMapping

`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URI

    public static final String URI

The FOP extension namespace URI

See Also:
  Constant Field Values

#### STANDARD_PREFIX

    public static final String STANDARD_PREFIX

The standard XML prefix for elements and attributes in this namespace.

See Also:
  Constant Field Values

### Constructor Detail

#### ExtensionElementMapping

    public ExtensionElementMapping()

Constructor.

### Method Detail

#### initialize

    protected void initialize()

Initialize the data structures.

Specified by:
  `initialize` in class `ElementMapping`

#### getStandardPrefix

    public String getStandardPrefix()

Overrides:
  `getStandardPrefix` in class `ElementMapping`
Returns:
  the standard namespace prefix for this namespace or null if it is not known.

#### isAttributeProperty

    public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

Overrides:
  `isAttributeProperty` in class `ElementMapping`
Parameters:
  `attributeName` - the attribute name
Returns:
  true if the attribute should be converted to a property